gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::StreamVolume Class Reference
gstreamermm Interfaces

An interface for elements that provide a stream volume. More...

`#include <gstreamermm/streamvolume.h>`

Inherits Interface.

## Public Member Functions
| StreamVolume (StreamVolume&& src) noexcept
StreamVolume& | operator= (StreamVolume&& src) noexcept
| ~StreamVolume () noexcept override
GstStreamVolume* | gobj ()
| Provides access to the underlying C GObject. More...
const GstStreamVolume* | gobj () const
| Provides access to the underlying C GObject. More...
double | get_volume (Gst::StreamVolumeFormat format)
void | set_volume (Gst::StreamVolumeFormat format, double val)
bool | get_mute ()
void | set_mute (bool mute)
Glib::PropertyProxy< bool > | property_mute ()
| Mute the audio channel without changing the volume. More...
Glib::PropertyProxy_ReadOnly< bool > | property_mute () const
| Mute the audio channel without changing the volume. More...
Glib::PropertyProxy< double > | property_volume ()
| Linear volume factor, 1.0=100%. More...
Glib::PropertyProxy_ReadOnly< double > | property_volume () const
| Linear volume factor, 1.0=100%. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static double | convert_volume (Gst::StreamVolumeFormat from, Gst::StreamVolumeFormat to, double val)

## Protected Member Functions
| StreamVolume ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::StreamVolume > | wrap (GstStreamVolume* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

An interface for elements that provide a stream volume.

## Constructor & Destructor Documentation

## ◆ StreamVolume() [1/2]

Gst::StreamVolume::StreamVolume | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ StreamVolume() [2/2]

Gst::StreamVolume::StreamVolume | ( | StreamVolume&& | src | ) |
| noexcept

## ◆ ~StreamVolume()

Gst::StreamVolume::~StreamVolume | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ add_interface()

static void Gst::StreamVolume::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ convert_volume()

static double Gst::StreamVolume::convert_volume | ( | Gst::StreamVolumeFormat | from,
|  | Gst::StreamVolumeFormat | to,
|  | double | val
| ) |  |
| static

Parameters

  from | Gst::StreamVolumeFormat to convert from.
  to | Gst::StreamVolumeFormat to convert to.
  val | Volume in from format that should be converted.

Returns
  The converted volume.

## ◆ get_mute()

bool Gst::StreamVolume::get_mute | ( |  | ) |

Returns
  Returns `true` if the stream is muted.

## ◆ get_type()

static GType Gst::StreamVolume::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_volume()

double Gst::StreamVolume::get_volume | ( | Gst::StreamVolumeFormat | format | ) |

Parameters

  format | Gst::StreamVolumeFormat which should be returned.

Returns
  The current stream volume as linear factor.

## ◆ gobj() [1/2]

GstStreamVolume* Gst::StreamVolume::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GstStreamVolume* Gst::StreamVolume::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

StreamVolume& Gst::StreamVolume::operator= | ( | StreamVolume&& | src | ) |
| noexcept

## ◆ property_mute() [1/2]

Glib::PropertyProxy< bool > Gst::StreamVolume::property_mute | ( |  | ) |

Mute the audio channel without changing the volume.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_mute() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gst::StreamVolume::property_mute | ( |  | ) | const

Mute the audio channel without changing the volume.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_volume() [1/2]

Glib::PropertyProxy< double > Gst::StreamVolume::property_volume | ( |  | ) |

Linear volume factor, 1.0=100%.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_volume() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gst::StreamVolume::property_volume | ( |  | ) | const

Linear volume factor, 1.0=100%.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_mute()

void Gst::StreamVolume::set_mute | ( | bool | mute | ) |

Parameters

  mute | Mute state that should be set.

## ◆ set_volume()

void Gst::StreamVolume::set_volume | ( | Gst::StreamVolumeFormat | format,
|  | double | val
| ) |  |

Parameters

  format | Gst::StreamVolumeFormat of val.
  val | Linear volume factor that should be set.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::StreamVolume > wrap | ( | GstStreamVolume * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.